summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2012-05-21 14:15:27 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-05-21 17:58:15 -0500
commitb92c9c24ebeb5ea17e2a11910e0a2be808a8d4a7 (patch)
tree78de7157592c001b072cc940bf29e0e11af3dffb
parenteec3434a4036b3458813e973aa75df469af4ff0f (diff)
downloadslackbuilds-b92c9c24ebeb5ea17e2a11910e0a2be808a8d4a7.tar.gz
slackbuilds-b92c9c24ebeb5ea17e2a11910e0a2be808a8d4a7.tar.xz
development/spl: Added (SPL Programming Language)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--development/spl/README22
-rw-r--r--development/spl/fix-Makefile.patch21
-rw-r--r--development/spl/slack-desc19
-rw-r--r--development/spl/spl.SlackBuild86
-rw-r--r--development/spl/spl.info10
5 files changed, 158 insertions, 0 deletions
diff --git a/development/spl/README b/development/spl/README
new file mode 100644
index 0000000000..d1071572dd
--- /dev/null
+++ b/development/spl/README
@@ -0,0 +1,22 @@
+SPL is a powerful and feature-rich scripting language with hashes,
+regular expressions, objects, exceptions and a c-style syntax.
+
+The SPL VM is a pure bytecode interpeter. The entire SPL toolchain
+(compiler, assembler, virtual machine, etc) only requires about
+100k and the additional memory usage by the applications is also
+small. One of the more advanced VM features is the capability to
+dump the entire VM state to a file and resume later. It is even
+possible to resume on another machine with a different architecture.
+
+SPL has support for loadable modules. The spl package contains
+modules for databases (SQLite, Postgres, MySQL), XML (incl. XPATH
+and XSLT), Terminal and File IO, Web Application development
+(the CGI, WSF and W2T (Web 2.0 Toolkit) modules), SDL, Qt3, OpenGL
+and more.
+
+SPL can optionally be compiled with support for Postgres.
+
+The SlackBuild script will install Vim syntax highlighting for SPL,
+but it still must be activated in the user's .vimrc before it will
+activated. See /usr/doc/spl for programming examples and a language
+reference.
diff --git a/development/spl/fix-Makefile.patch b/development/spl/fix-Makefile.patch
new file mode 100644
index 0000000000..37bc6c5010
--- /dev/null
+++ b/development/spl/fix-Makefile.patch
@@ -0,0 +1,21 @@
+diff -Nur spl-1.0pre6.orig//GNUmakefile spl-1.0pre6/GNUmakefile
+--- spl-1.0pre6.orig//GNUmakefile 2008-09-18 07:34:23.000000000 -0700
++++ spl-1.0pre6/GNUmakefile 2012-05-18 19:04:38.769984565 -0700
+@@ -102,7 +102,7 @@
+ # Set this to '1' if you want to build an unoptimized SPL
+ # library with debug symbols.
+ #
+-BUILD_WITH_DEBUG = 1
++BUILD_WITH_DEBUG = 0
+
+ # Set this to '1' if you are doing SPL core development
+ #
+@@ -225,7 +225,7 @@
+ ifeq ($(BUILD_WITH_DEBUG),1)
+ CFLAGS += -O1 -ggdb
+ else
+- CFLAGS += -Os -fomit-frame-pointer
++ CFLAGS += -fomit-frame-pointer $(SLCKFLAGS)
+ endif
+
+ ifeq ($(BUILD_WITH_WERROR),1)
diff --git a/development/spl/slack-desc b/development/spl/slack-desc
new file mode 100644
index 0000000000..0ee524646d
--- /dev/null
+++ b/development/spl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+spl: SPL (the SPL Programming Language)
+spl:
+spl: SPL is a powerful and feature-rich scripting language with hashes,
+spl: regular expressions, objects, exceptions and a c-style syntax.
+spl:
+spl: Homepage: http://www.clifford.at/spl/
+spl:
+spl:
+spl:
+spl:
+spl:
diff --git a/development/spl/spl.SlackBuild b/development/spl/spl.SlackBuild
new file mode 100644
index 0000000000..27cf365050
--- /dev/null
+++ b/development/spl/spl.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for spl
+# Written by Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
+
+PRGNAM=spl
+VERSION=${VERSION:-1.0pre6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# Allow custom options in Makefile
+patch -p1 < $CWD/fix-Makefile.patch
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ prefix=/usr \
+ mandir=/usr/man \
+ libdir=/usr/lib${LIBDIRSUFFIX} \
+ DESTDIR=$PKG
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README README.API README.LANG README.WEBSPL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# install examples
+cp -ra examples webspl_demo webspltut $PKG/usr/doc/$PRGNAM-$VERSION
+cp *.spl $PKG/usr/doc/$PRGNAM-$VERSION/examples
+
+# instal vim syntax highlighting for SPL
+mkdir -p $PKG/usr/share/vim/vim73/syntax
+cp syntax-spl.vim $PKG/usr/share/vim/vim73/syntax/spl.vim
+cp syntax-spltpl.vim $PKG/usr/share/vim/vim73/syntax/spltpl.vim
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/spl/spl.info b/development/spl/spl.info
new file mode 100644
index 0000000000..b8345fcd2d
--- /dev/null
+++ b/development/spl/spl.info
@@ -0,0 +1,10 @@
+PRGNAM="spl"
+VERSION="1.0pre6"
+HOMEPAGE="http://www.clifford.at/spl/"
+DOWNLOAD="http://www.clifford.at/spl/releases/spl-1.0pre6.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MD5SUM="d74e576280369cc6c7471e84820cc260"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"